What are the system requirements to use drchrono?

System Requirements for the drchrono EHR

The drchrono EHR works on any Windows or Mac computer with internet access and most iOS devices. In order to use the drchrono EHR, a few minimum requirements must be reached. To see if you meet the minimum requirements, please check the list of supported software and hardware requirements below.

 

Browser Requirements

The drchrono EHR supports only three browsers: Google Chrome, Mozilla Firefox, and Apple Safari. Browsers used must be up to date to a version that is supported by their respective creators. The following browsers are supported:

  • Google Chrome: Version 56.0.2924 or later
  • Mozilla Firefox: Version 52.0 or later
  • Apple Safari: Version 10.0.3 or later. Only available on macOS 10.12 (Sierra) or later.

 

Computer Requirements

The drchrono EHR officially supports only two operating systems: Microsoft Windows and Apple Macintosh To use drchrono, your device must be running a supported version of an operating system. Additionally, your device must meet the minimum hardware requirements for running that operating system. The following operating systems are supported:

  • Windows: Windows 7 or above
  • Macintosh: macOS 10.12 or above

 

The hardware requirements for each operating system is found here:

 

Mobile Device Requirements

The drchrono EHR comes with several full-functioned mobile applications that are supported by many but not all iOS devices. You can find the list of supported mobile devices here: What versions of iPad and iPhone are supported by drchrono?

 

The list of drchrono mobile applications available to you are found here:

 

Was this article helpful?
0 out of 0 found this helpful
Have more questions? Submit a request

Comments

Powered by Zendesk